Main Page Packages Class Hierarchy Compound List File List Compound Members

# alltests Class Reference

Inherits DOMTestSuite.

List of all members.

## Public Methods
| alltests (DOMTestDocumentBuilderFactory factory) throws Exception
void | build (DOMTestSink sink)
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Constructor & Destructor Documentation

alltests::alltests | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 33 of file alltests.java. References DOMTest::setFactory().
    00033                                                                            {
    00034       super(factory);
    00035
    00036       setFactory(factory);
    00037    }

## Member Function Documentation

void alltests::build | ( | DOMTestSink | sink | ) | `[inline, virtual]`

| Adds a test to the test suite. This method can only be run after the test suite has been attached to a test framework since each framework implements test suites in different manners. Reimplemented from DOMTestSuite. Definition at line 39 of file alltests.java. References DOMTestSink::addTest().
    00039                                        {
    00040       sink.addTest(attrcreatedocumentfragment.class);
    00041       sink.addTest(attrcreatetextnode.class);
    00042       sink.addTest(attrcreatetextnode2.class);
    00043       sink.addTest(attrdefaultvalue.class);
    00044       sink.addTest(attreffectivevalue.class);
    00045       sink.addTest(attrentityreplacement.class);
    00046       sink.addTest(attrname.class);
    00047       sink.addTest(attrnextsiblingnull.class);
    00048       sink.addTest(attrnotspecifiedvalue.class);
    00049       sink.addTest(attrparentnodenull.class);
    00050       sink.addTest(attrprevioussiblingnull.class);
    00051       sink.addTest(attrsetvaluenomodificationallowederr.class);
    00052       sink.addTest(attrsetvaluenomodificationallowederrEE.class);
    00053       sink.addTest(attrspecifiedvalue.class);
    00054       sink.addTest(attrspecifiedvaluechanged.class);
    00055       sink.addTest(attrspecifiedvalueremove.class);
    00056       sink.addTest(cdatasectiongetdata.class);
    00057       sink.addTest(cdatasectionnormalize.class);
    00058       sink.addTest(characterdataappenddata.class);
    00059       sink.addTest(characterdataappenddatagetdata.class);
    00060       sink.addTest(characterdataappenddatanomodificationallowederr.class);
    00061       sink.addTest(characterdataappenddatanomodificationallowederrEE.class);
    00062       sink.addTest(characterdatadeletedatabegining.class);
    00063       sink.addTest(characterdatadeletedataend.class);
    00064       sink.addTest(characterdatadeletedataexceedslength.class);
    00065       sink.addTest(characterdatadeletedatagetlengthanddata.class);
    00066       sink.addTest(characterdatadeletedatamiddle.class);
    00067       sink.addTest(characterdatadeletedatanomodificationallowederr.class);
    00068       sink.addTest(characterdatadeletedatanomodificationallowederrEE.class);
    00069       sink.addTest(characterdatagetdata.class);
    00070       sink.addTest(characterdatagetlength.class);
    00071       sink.addTest(characterdataindexsizeerrdeletedatacountnegative.class);
    00072       sink.addTest(characterdataindexsizeerrdeletedataoffsetgreater.class);
    00073       sink.addTest(characterdataindexsizeerrdeletedataoffsetnegative.class);
    00074       sink.addTest(characterdataindexsizeerrinsertdataoffsetgreater.class);
    00075       sink.addTest(characterdataindexsizeerrinsertdataoffsetnegative.class);
    00076       sink.addTest(characterdataindexsizeerrreplacedatacountnegative.class);
    00077       sink.addTest(characterdataindexsizeerrreplacedataoffsetgreater.class);
    00078       sink.addTest(characterdataindexsizeerrreplacedataoffsetnegative.class);
    00079       sink.addTest(characterdataindexsizeerrsubstringcountnegative.class);
    00080       sink.addTest(characterdataindexsizeerrsubstringnegativeoffset.class);
    00081       sink.addTest(characterdataindexsizeerrsubstringoffsetgreater.class);
    00082       sink.addTest(characterdatainsertdatabeginning.class);
    00083       sink.addTest(characterdatainsertdataend.class);
    00084       sink.addTest(characterdatainsertdatamiddle.class);
    00085       sink.addTest(characterdatainsertdatanomodificationallowederr.class);
    00086       sink.addTest(characterdatainsertdatanomodificationallowederrEE.class);
    00087       sink.addTest(characterdatareplacedatabegining.class);
    00088       sink.addTest(characterdatareplacedataend.class);
    00089       sink.addTest(characterdatareplacedataexceedslengthofarg.class);
    00090       sink.addTest(characterdatareplacedataexceedslengthofdata.class);
    00091       sink.addTest(characterdatareplacedatamiddle.class);
    00092       sink.addTest(characterdatareplacedatanomodificationallowederr.class);
    00093       sink.addTest(characterdatareplacedatanomodificationallowederrEE.class);
    00094       sink.addTest(characterdatasetdatanomodificationallowederr.class);
    00095       sink.addTest(characterdatasetdatanomodificationallowederrEE.class);
    00096       sink.addTest(characterdatasetnodevalue.class);
    00097       sink.addTest(characterdatasubstringexceedsvalue.class);
    00098       sink.addTest(characterdatasubstringvalue.class);
    00099       sink.addTest(commentgetcomment.class);
    00100       sink.addTest(documentcreateattribute.class);
    00101       sink.addTest(documentcreatecdatasection.class);
    00102       sink.addTest(documentcreatecomment.class);
    00103       sink.addTest(documentcreatedocumentfragment.class);
    00104       sink.addTest(documentcreateelement.class);
    00105       sink.addTest(documentcreateelementcasesensitive.class);
    00106       sink.addTest(documentcreateelementdefaultattr.class);
    00107       sink.addTest(documentcreateentityreference.class);
    00108       sink.addTest(documentcreateentityreferenceknown.class);
    00109       sink.addTest(documentcreateprocessinginstruction.class);
    00110       sink.addTest(documentcreatetextnode.class);
    00111       sink.addTest(documentgetdoctype.class);
    00112       sink.addTest(documentgetdoctypenodtd.class);
    00113       sink.addTest(documentgetelementsbytagnamelength.class);
    00114       sink.addTest(documentgetelementsbytagnametotallength.class);
    00115       sink.addTest(documentgetelementsbytagnamevalue.class);
    00116       sink.addTest(documentgetimplementation.class);
    00117       sink.addTest(documentgetrootnode.class);
    00118       sink.addTest(documentinvalidcharacterexceptioncreateattribute.class);
    00119       sink.addTest(documentinvalidcharacterexceptioncreateelement.class);
    00120       sink.addTest(documentinvalidcharacterexceptioncreateentref.class);
    00121       sink.addTest(documentinvalidcharacterexceptioncreatepi.class);
    00122       sink.addTest(documenttypegetdoctype.class);
    00123       sink.addTest(documenttypegetentities.class);
    00124       sink.addTest(documenttypegetentitieslength.class);
    00125       sink.addTest(documenttypegetentitiestype.class);
    00126       sink.addTest(documenttypegetnotations.class);
    00127       sink.addTest(documenttypegetnotationstype.class);
    00128       sink.addTest(domimplementationfeaturenoversion.class);
    00129       sink.addTest(domimplementationfeaturenull.class);
    00130       sink.addTest(domimplementationfeaturexml.class);
    00131       sink.addTest(elementaddnewattribute.class);
    00132       sink.addTest(elementassociatedattribute.class);
    00133       sink.addTest(elementchangeattributevalue.class);
    00134       sink.addTest(elementcreatenewattribute.class);
    00135       sink.addTest(elementgetattributenode.class);
    00136       sink.addTest(elementgetattributenodenull.class);
    00137       sink.addTest(elementgetelementempty.class);
    00138       sink.addTest(elementgetelementsbytagname.class);
    00139       sink.addTest(elementgetelementsbytagnameaccessnodelist.class);
    00140       sink.addTest(elementgetelementsbytagnamenomatch.class);
    00141       sink.addTest(elementgetelementsbytagnamespecialvalue.class);
    00142       sink.addTest(elementgettagname.class);
    00143       sink.addTest(elementinuseattributeerr.class);
    00144       sink.addTest(elementinvalidcharacterexception.class);
    00145       sink.addTest(elementnormalize.class);
    00146       sink.addTest(elementnotfounderr.class);
    00147       sink.addTest(elementremoveattribute.class);
    00148       sink.addTest(elementremoveattributeaftercreate.class);
    00149       sink.addTest(elementremoveattributenode.class);
    00150       sink.addTest(elementremoveattributenodenomodificationallowederr.class);
    00151       sink.addTest(elementremoveattributenodenomodificationallowederrEE.class);
    00152       sink.addTest(elementremoveattributenomodificationallowederr.class);
    00153       sink.addTest(elementremoveattributenomodificationallowederrEE.class);
    00154       sink.addTest(elementremoveattributerestoredefaultvalue.class);
    00155       sink.addTest(elementreplaceattributewithself.class);
    00156       sink.addTest(elementreplaceexistingattribute.class);
    00157       sink.addTest(elementreplaceexistingattributegevalue.class);
    00158       sink.addTest(elementretrieveallattributes.class);
    00159       sink.addTest(elementretrieveattrvalue.class);
    00160       sink.addTest(elementretrievetagname.class);
    00161       sink.addTest(elementsetattributenodenomodificationallowederr.class);
    00162       sink.addTest(elementsetattributenodenomodificationallowederrEE.class);
    00163       sink.addTest(elementsetattributenodenull.class);
    00164       sink.addTest(elementsetattributenomodificationallowederr.class);
    00165       sink.addTest(elementsetattributenomodificationallowederrEE.class);
    00166       sink.addTest(elementwrongdocumenterr.class);
    00167       sink.addTest(entitygetentityname.class);
    00168       sink.addTest(entitygetpublicid.class);
    00169       sink.addTest(entitygetpublicidnull.class);
    00170       sink.addTest(namednodemapchildnoderange.class);
    00171       sink.addTest(namednodemapgetnameditem.class);
    00172       sink.addTest(namednodemapinuseattributeerr.class);
    00173       sink.addTest(namednodemapnotfounderr.class);
    00174       sink.addTest(namednodemapnumberofnodes.class);
    00175       sink.addTest(namednodemapremovenameditem.class);
    00176       sink.addTest(namednodemapremovenameditemgetvalue.class);
    00177       sink.addTest(namednodemapremovenameditemreturnnodevalue.class);
    00178       sink.addTest(namednodemapreturnattrnode.class);
    00179       sink.addTest(namednodemapreturnfirstitem.class);
    00180       sink.addTest(namednodemapreturnlastitem.class);
    00181       sink.addTest(namednodemapreturnnull.class);
    00182       sink.addTest(namednodemapsetnameditem.class);
    00183       sink.addTest(namednodemapsetnameditemreturnvalue.class);
    00184       sink.addTest(namednodemapsetnameditemthatexists.class);
    00185       sink.addTest(namednodemapsetnameditemwithnewvalue.class);
    00186       sink.addTest(namednodemapwrongdocumenterr.class);
    00187       sink.addTest(nodeappendchild.class);
    00188       sink.addTest(nodeappendchildchildexists.class);
    00189       sink.addTest(nodeappendchilddocfragment.class);
    00190       sink.addTest(nodeappendchildgetnodename.class);
    00191       sink.addTest(nodeappendchildinvalidnodetype.class);
    00192       sink.addTest(nodeappendchildnewchilddiffdocument.class);
    00193       sink.addTest(nodeappendchildnodeancestor.class);
    00194       sink.addTest(nodeappendchildnomodificationallowederr.class);
    00195       sink.addTest(nodeappendchildnomodificationallowederrEE.class);
    00196       sink.addTest(nodeattributenodeattribute.class);
    00197       sink.addTest(nodeattributenodename.class);
    00198       sink.addTest(nodeattributenodetype.class);
    00199       sink.addTest(nodeattributenodevalue.class);
    00200       sink.addTest(nodecdatasectionnodeattribute.class);
    00201       sink.addTest(nodecdatasectionnodename.class);
    00202       sink.addTest(nodecdatasectionnodetype.class);
    00203       sink.addTest(nodecdatasectionnodevalue.class);
    00204       sink.addTest(nodechildnodes.class);
    00205       sink.addTest(nodechildnodesappendchild.class);
    00206       sink.addTest(nodechildnodesempty.class);
    00207       sink.addTest(nodecloneattributescopied.class);
    00208       sink.addTest(nodeclonefalsenocopytext.class);
    00209       sink.addTest(nodeclonegetparentnull.class);
    00210       sink.addTest(nodeclonenodefalse.class);
    00211       sink.addTest(nodeclonenodetrue.class);
    00212       sink.addTest(nodeclonetruecopytext.class);
    00213       sink.addTest(nodecommentnodeattributes.class);
    00214       sink.addTest(nodecommentnodename.class);
    00215       sink.addTest(nodecommentnodetype.class);
    00216       sink.addTest(nodecommentnodevalue.class);
    00217       sink.addTest(nodedocumentfragmentnodename.class);
    00218       sink.addTest(nodedocumentfragmentnodetype.class);
    00219       sink.addTest(nodedocumentfragmentnodevalue.class);
    00220       sink.addTest(nodedocumentnodeattribute.class);
    00221       sink.addTest(nodedocumentnodename.class);
    00222       sink.addTest(nodedocumentnodetype.class);
    00223       sink.addTest(nodedocumentnodevalue.class);
    00224       sink.addTest(nodedocumenttypenodename.class);
    00225       sink.addTest(nodedocumenttypenodetype.class);
    00226       sink.addTest(nodedocumenttypenodevalue.class);
    00227       sink.addTest(nodeelementnodeattributes.class);
    00228       sink.addTest(nodeelementnodename.class);
    00229       sink.addTest(nodeelementnodetype.class);
    00230       sink.addTest(nodeelementnodevalue.class);
    00231       sink.addTest(nodeentitynodeattributes.class);
    00232       sink.addTest(nodeentitynodename.class);
    00233       sink.addTest(nodeentitynodetype.class);
    00234       sink.addTest(nodeentitynodevalue.class);
    00235       sink.addTest(nodeentitysetnodevalue.class);
    00236       sink.addTest(nodeentityreferencenodeattributes.class);
    00237       sink.addTest(nodeentityreferencenodename.class);
    00238       sink.addTest(nodeentityreferencenodetype.class);
    00239       sink.addTest(nodeentityreferencenodevalue.class);
    00240       sink.addTest(nodegetfirstchild.class);
    00241       sink.addTest(nodegetfirstchildnull.class);
    00242       sink.addTest(nodegetlastchild.class);
    00243       sink.addTest(nodegetlastchildnull.class);
    00244       sink.addTest(nodegetnextsibling.class);
    00245       sink.addTest(nodegetnextsiblingnull.class);
    00246       sink.addTest(nodegetownerdocument.class);
    00247       sink.addTest(nodegetownerdocumentnull.class);
    00248       sink.addTest(nodegetprevioussibling.class);
    00249       sink.addTest(nodegetprevioussiblingnull.class);
    00250       sink.addTest(nodehaschildnodes.class);
    00251       sink.addTest(nodehaschildnodesfalse.class);
    00252       sink.addTest(nodeinsertbefore.class);
    00253       sink.addTest(nodeinsertbeforedocfragment.class);
    00254       sink.addTest(nodeinsertbeforeinvalidnodetype.class);
    00255       sink.addTest(nodeinsertbeforenewchilddiffdocument.class);
    00256       sink.addTest(nodeinsertbeforenewchildexists.class);
    00257       sink.addTest(nodeinsertbeforenodeancestor.class);
    00258       sink.addTest(nodeinsertbeforenodename.class);
    00259       sink.addTest(nodeinsertbeforenomodificationallowederr.class);
    00260       sink.addTest(nodeinsertbeforenomodificationallowederrEE.class);
    00261       sink.addTest(nodeinsertbeforerefchildnonexistent.class);
    00262       sink.addTest(nodeinsertbeforerefchildnull.class);
    00263       sink.addTest(nodelistindexequalzero.class);
    00264       sink.addTest(nodelistindexgetlength.class);
    00265       sink.addTest(nodelistindexgetlengthofemptylist.class);
    00266       sink.addTest(nodelistindexnotzero.class);
    00267       sink.addTest(nodelistreturnfirstitem.class);
    00268       sink.addTest(nodelistreturnlastitem.class);
    00269       sink.addTest(nodelisttraverselist.class);
    00270       sink.addTest(nodenotationnodeattributes.class);
    00271       sink.addTest(nodenotationnodename.class);
    00272       sink.addTest(nodenotationnodetype.class);
    00273       sink.addTest(nodenotationnodevalue.class);
    00274       sink.addTest(nodeparentnode.class);
    00275       sink.addTest(nodeparentnodenull.class);
    00276       sink.addTest(nodeprocessinginstructionnodeattributes.class);
    00277       sink.addTest(nodeprocessinginstructionnodename.class);
    00278       sink.addTest(nodeprocessinginstructionnodetype.class);
    00279       sink.addTest(nodeprocessinginstructionnodevalue.class);
    00280       sink.addTest(nodeprocessinginstructionsetnodevalue.class);
    00281       sink.addTest(noderemovechild.class);
    00282       sink.addTest(noderemovechildgetnodename.class);
    00283       sink.addTest(noderemovechildnode.class);
    00284       sink.addTest(noderemovechildnomodificationallowederr.class);
    00285       sink.addTest(noderemovechildnomodificationallowederrEE.class);
    00286       sink.addTest(noderemovechildoldchildnonexistent.class);
    00287       sink.addTest(nodereplacechild.class);
    00288       sink.addTest(nodereplacechildinvalidnodetype.class);
    00289       sink.addTest(nodereplacechildnewchilddiffdocument.class);
    00290       sink.addTest(nodereplacechildnewchildexists.class);
    00291       sink.addTest(nodereplacechildnodeancestor.class);
    00292       sink.addTest(nodereplacechildnodename.class);
    00293       sink.addTest(nodereplacechildnomodificationallowederr.class);
    00294       sink.addTest(nodereplacechildnomodificationallowederrEE.class);
    00295       sink.addTest(nodereplacechildoldchildnonexistent.class);
    00296       sink.addTest(nodesetnodevaluenomodificationallowederr.class);
    00297       sink.addTest(nodesetnodevaluenomodificationallowederrEE.class);
    00298       sink.addTest(nodetextnodeattribute.class);
    00299       sink.addTest(nodetextnodename.class);
    00300       sink.addTest(nodetextnodetype.class);
    00301       sink.addTest(nodetextnodevalue.class);
    00302       sink.addTest(notationgetnotationname.class);
    00303       sink.addTest(notationgetpublicid.class);
    00304       sink.addTest(notationgetpublicidnull.class);
    00305       sink.addTest(notationgetsystemid.class);
    00306       sink.addTest(notationgetsystemidnull.class);
    00307       sink.addTest(processinginstructiongetdata.class);
    00308       sink.addTest(processinginstructiongettarget.class);
    00309       sink.addTest(processinginstructionsetdatanomodificationallowederr.class);
    00310       sink.addTest(processinginstructionsetdatanomodificationallowederrEE.class);
    00311       sink.addTest(textindexsizeerrnegativeoffset.class);
    00312       sink.addTest(textindexsizeerroffsetoutofbounds.class);
    00313       sink.addTest(textparseintolistofelements.class);
    00314       sink.addTest(textsplittextfour.class);
    00315       sink.addTest(textsplittextnomodificationallowederr.class);
    00316       sink.addTest(textsplittextnomodificationallowederrEE.class);
    00317       sink.addTest(textsplittextone.class);
    00318       sink.addTest(textsplittextthree.class);
    00319       sink.addTest(textsplittexttwo.class);
    00320       sink.addTest(textwithnomarkup.class);
    00321       sink.addTest(nodevalue01.class);
    00322       sink.addTest(nodevalue02.class);
    00323       sink.addTest(nodevalue03.class);
    00324       sink.addTest(nodevalue04.class);
    00325       sink.addTest(nodevalue05.class);
    00326       sink.addTest(nodevalue06.class);
    00327       sink.addTest(nodevalue07.class);
    00328       sink.addTest(nodevalue08.class);
    00329       sink.addTest(nodevalue09.class);
    00330
    00331    }

String alltests::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 332 of file alltests.java.
    00332                                 {
    00333       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/alltests";
    00334    }

void alltests::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 336 of file alltests.java.
    00336                                           {
    00337         DOMTestCase.doMain(alltests.class,args);
    00338    }

The documentation for this class was generated from the following file:

- alltests.java